FROM registry.fedoraproject.org/fedora-minimal:38

LABEL name="todoman" \
    summary="todoman" \
    version="0.19.2" \
    run="podman run --rm -it -v '${HOME}/.config/todoman:/root/.config/todoman:z' sync" \
    maintainer="Ada Loveless <git@jooa.xyz>"

RUN microdnf install -y python3-pip && microdnf clean all
RUN pip install "todoman==4.2.1"

VOLUME ["/root/.config/todoman/"]
VOLUME ["/root/.local/share/calendars/"]

ENTRYPOINT ["todo"]
